Index: /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm
===================================================================
--- /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm	(revision 50158)
+++ /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm	(revision 50159)
@@ -5837,21 +5873,21 @@
     db  0feh, 0c4h
     ; inc ah                                    ; fe c4
-    jmp short 04553h                          ; eb ec
+    jmp short 04572h                          ; eb ec
     neg al                                    ; f6 d8
     mov es, [bp-00ah]                         ; 8e 46 f6
     mov byte [es:bx+041h], al                 ; 26 88 47 41
-    jmp near 04336h                           ; e9 c3 fd
+    jmp near 04355h                           ; e9 c3 fd
     or bh, 006h                               ; 80 cf 06
     mov word [bp+018h], bx                    ; 89 5e 18
-    jmp short 045b3h                          ; eb 38
+    jmp short 045d2h                          ; eb 38
     cmp bx, strict byte 00006h                ; 83 fb 06
-    je near 04336h                            ; 0f 84 b4 fd
+    je near 04355h                            ; 0f 84 b4 fd
     cmp bx, strict byte 00001h                ; 83 fb 01
-    jc short 04597h                           ; 72 10
-    jbe near 04336h                           ; 0f 86 ab fd
+    jc short 045b6h                           ; 72 10
+    jbe near 04355h                           ; 0f 86 ab fd
     cmp bx, strict byte 00003h                ; 83 fb 03
-    jc short 04597h                           ; 72 07
+    jc short 045b6h                           ; 72 07
     cmp bx, strict byte 00004h                ; 83 fb 04
-    jbe near 04336h                           ; 0f 86 9f fd
+    jbe near 04355h                           ; 0f 86 9f fd
     mov ax, word [bp+018h]                    ; 8b 46 18
     xor ah, ah                                ; 30 e4
@@ -5863,11 +5899,11 @@
     mov dx, strict word 00074h                ; ba 74 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0160eh                               ; e8 5b d0
+    call 0160eh                               ; e8 3c d0
     or byte [bp+01eh], 001h                   ; 80 4e 1e 01
-    jmp near 04349h                           ; e9 8f fd
-    mov bx, 00da6h                            ; bb a6 0d
+    jmp near 04368h                           ; e9 8f fd
+    mov bx, 00da2h                            ; bb a2 0d
     mov cx, ds                                ; 8c d9
     mov ax, strict word 00004h                ; b8 04 00
-    call 018cch                               ; e8 07 d3
+    call 018e1h                               ; e8 fd d2
     mov ax, word [bp+018h]                    ; 8b 46 18
     shr ax, 008h                              ; c1 e8 08
@@ -5876,34 +5912,34 @@
     push 00313h                               ; 68 13 03
     push strict byte 00004h                   ; 6a 04
-    jmp near 041a7h                           ; e9 d0 fb
-print_boot_device_:                          ; 0xf45d7 LB 0x4b
+    jmp near 041c6h                           ; e9 d0 fb
+print_boot_device_:                          ; 0xf45f6 LB 0x4b
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
     push cx                                   ; 51
     test al, al                               ; 84 c0
-    je short 045e4h                           ; 74 05
+    je short 04603h                           ; 74 05
     mov dx, strict word 00002h                ; ba 02 00
-    jmp short 045feh                          ; eb 1a
+    jmp short 0461dh                          ; eb 1a
     test dl, dl                               ; 84 d2
-    je short 045edh                           ; 74 05
+    je short 0460ch                           ; 74 05
     mov dx, strict word 00003h                ; ba 03 00
-    jmp short 045feh                          ; eb 11
+    jmp short 0461dh                          ; eb 11
     test bl, 080h                             ; f6 c3 80
-    jne short 045f6h                          ; 75 04
+    jne short 04615h                          ; 75 04
     xor dh, dh                                ; 30 f6
-    jmp short 045feh                          ; eb 08
+    jmp short 0461dh                          ; eb 08
     test bl, 080h                             ; f6 c3 80
-    je short 0461ch                           ; 74 21
+    je short 0463bh                           ; 74 21
     mov dx, strict word 00001h                ; ba 01 00
-    mov bx, 00da6h                            ; bb a6 0d
+    mov bx, 00da2h                            ; bb a2 0d
     mov cx, ds                                ; 8c d9
     mov ax, strict word 00004h                ; b8 04 00
-    call 018cch                               ; e8 c3 d2
+    call 018e1h                               ; e8 b9 d2
     imul dx, dx, strict byte 0000ah           ; 6b d2 0a
-    add dx, 00dcch                            ; 81 c2 cc 0d
+    add dx, 00dc8h                            ; 81 c2 c8 0d
     push dx                                   ; 52
     push 00474h                               ; 68 74 04
     push strict byte 00004h                   ; 6a 04
-    call 0190dh                               ; e8 f4 d2
+    call 01922h                               ; e8 ea d2
     add sp, strict byte 00006h                ; 83 c4 06
     lea sp, [bp-002h]                         ; 8d 66 fe
@@ -5911,5 +5947,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-print_boot_failure_:                         ; 0xf4622 LB 0x93
+print_boot_failure_:                         ; 0xf4641 LB 0x93
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -5920,51 +5956,51 @@
     movzx si, ah                              ; 0f b6 f4
     test al, al                               ; 84 c0
-    je short 0464fh                           ; 74 1b
-    mov bx, 00da6h                            ; bb a6 0d
+    je short 0466eh                           ; 74 1b
+    mov bx, 00da2h                            ; bb a2 0d
     mov cx, ds                                ; 8c d9
     mov ax, strict word 00004h                ; b8 04 00
-    call 018cch                               ; e8 8d d2
-    push 00de0h                               ; 68 e0 0d
+    call 018e1h                               ; e8 83 d2
+    push 00ddch                               ; 68 dc 0d
     push 00488h                               ; 68 88 04
     push strict byte 00004h                   ; 6a 04
-    call 0190dh                               ; e8 c3 d2
+    call 01922h                               ; e8 b9 d2
     add sp, strict byte 00006h                ; 83 c4 06
-    jmp short 04693h                          ; eb 44
+    jmp short 046b2h                          ; eb 44
     test dl, dl                               ; 84 d2
-    je short 04663h                           ; 74 10
-    mov bx, 00da6h                            ; bb a6 0d
+    je short 04682h                           ; 74 10
+    mov bx, 00da2h                            ; bb a2 0d
     mov cx, ds                                ; 8c d9
     mov ax, strict word 00004h                ; b8 04 00
-    call 018cch                               ; e8 6e d2
-    push 00deah                               ; 68 ea 0d
-    jmp short 04642h                          ; eb df
+    call 018e1h                               ; e8 64 d2
+    push 00de6h                               ; 68 e6 0d
+    jmp short 04661h                          ; eb df
     test bl, 080h                             ; f6 c3 80
-    je short 04679h                           ; 74 11
-    mov bx, 00da6h                            ; bb a6 0d
+    je short 04698h                           ; 74 11
+    mov bx, 00da2h                            ; bb a2 0d
     mov cx, ds                                ; 8c d9
     mov ax, strict word 00004h                ; b8 04 00
-    call 018cch                               ; e8 59 d2
+    call 018e1h                               ; e8 4f d2
     push si                                   ; 56
-    push 00dd6h                               ; 68 d6 0d
-    jmp short 04688h                          ; eb 0f
-    mov bx, 00da6h                            ; bb a6 0d
+    push 00dd2h                               ; 68 d2 0d
+    jmp short 046a7h                          ; eb 0f
+    mov bx, 00da2h                            ; bb a2 0d
     mov cx, ds                                ; 8c d9
     mov ax, strict word 00004h                ; b8 04 00
-    call 018cch                               ; e8 48 d2
+    call 018e1h                               ; e8 3e d2
     push si                                   ; 56
-    push 00dcch                               ; 68 cc 0d
+    push 00dc8h                               ; 68 c8 0d
     push 0049dh                               ; 68 9d 04
     push strict byte 00004h                   ; 6a 04
-    call 0190dh                               ; e8 7d d2
+    call 01922h                               ; e8 73 d2
     add sp, strict byte 00008h                ; 83 c4 08
     cmp byte [bp+004h], 001h                  ; 80 7e 04 01
-    jne short 046adh                          ; 75 14
+    jne short 046cch                          ; 75 14
     test dh, dh                               ; 84 f6
-    jne short 046a2h                          ; 75 05
+    jne short 046c1h                          ; 75 05
     push 004b5h                               ; 68 b5 04
-    jmp short 046a5h                          ; eb 03
+    jmp short 046c4h                          ; eb 03
     push 004dfh                               ; 68 df 04
     push strict byte 00007h                   ; 6a 07
-    call 0190dh                               ; e8 63 d2
+    call 01922h                               ; e8 59 d2
     add sp, strict byte 00004h                ; 83 c4 04
     lea sp, [bp-002h]                         ; 8d 66 fe
@@ -5972,5 +6008,5 @@
     pop bp                                    ; 5d
     retn 00002h                               ; c2 02 00
-print_cdromboot_failure_:                    ; 0xf46b5 LB 0x27
+print_cdromboot_failure_:                    ; 0xf46d4 LB 0x27
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -5979,12 +6015,12 @@
     push dx                                   ; 52
     mov dx, ax                                ; 89 c2
-    mov bx, 00da6h                            ; bb a6 0d
+    mov bx, 00da2h                            ; bb a2 0d
     mov cx, ds                                ; 8c d9
     mov ax, strict word 00004h                ; b8 04 00
-    call 018cch                               ; e8 04 d2
+    call 018e1h                               ; e8 fa d1
     push dx                                   ; 52
     push 00514h                               ; 68 14 05
     push strict byte 00004h                   ; 6a 04
-    call 0190dh                               ; e8 3c d2
+    call 01922h                               ; e8 32 d2
     add sp, strict byte 00006h                ; 83 c4 06
     lea sp, [bp-006h]                         ; 8d 66 fa
@@ -5994,5 +6030,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-_int19_function:                             ; 0xf46dc LB 0x256
+_int19_function:                             ; 0xf46fb LB 0x256
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -6002,13 +6038,13 @@
     mov dx, strict word 0000eh                ; ba 0e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0161ch                               ; e8 2f cf
+    call 0161ch                               ; e8 10 cf
     mov bx, ax                                ; 89 c3
     mov word [bp-00eh], ax                    ; 89 46 f2
     mov byte [bp-008h], 000h                  ; c6 46 f8 00
     mov ax, strict word 0003dh                ; b8 3d 00
-    call 0165ch                               ; e8 60 cf
+    call 0165ch                               ; e8 41 cf
     movzx si, al                              ; 0f b6 f0
     mov ax, strict word 00038h                ; b8 38 00
-    call 0165ch                               ; e8 57 cf
+    call 0165ch                               ; e8 38 cf
     and AL, strict byte 0f0h                  ; 24 f0
     xor ah, ah                                ; 30 e4
@@ -6016,5 +6052,5 @@
     or si, ax                                 ; 09 c6
     mov ax, strict word 0003ch                ; b8 3c 00
-    call 0165ch                               ; e8 48 cf
+    call 0165ch                               ; e8 29 cf
     and AL, strict byte 00fh                  ; 24 0f
     xor ah, ah                                ; 30 e4
@@ -6023,30 +6059,30 @@
     mov dx, 00339h                            ; ba 39 03
     mov ax, bx                                ; 89 d8
-    call 01600h                               ; e8 db ce
+    call 01600h                               ; e8 bc ce
     test al, al                               ; 84 c0
-    je short 04734h                           ; 74 0b
+    je short 04753h                           ; 74 0b
     mov dx, 00339h                            ; ba 39 03
     mov ax, bx                                ; 89 d8
-    call 01600h                               ; e8 cf ce
+    call 01600h                               ; e8 b0 ce
     movzx si, al                              ; 0f b6 f0
     cmp byte [bp+004h], 001h                  ; 80 7e 04 01
-    jne short 0474ah                          ; 75 10
+    jne short 04769h                          ; 75 10
     mov ax, strict word 0003ch                ; b8 3c 00
-    call 0165ch                               ; e8 1c cf
+    call 0165ch                               ; e8 fd ce
     and AL, strict byte 0f0h                  ; 24 f0
     xor ah, ah                                ; 30 e4
     sar ax, 004h                              ; c1 f8 04
-    call 073ffh                               ; e8 b5 2c
+    call 075b3h                               ; e8 4a 2e
     cmp byte [bp+004h], 002h                  ; 80 7e 04 02
-    jne short 04753h                          ; 75 03
+    jne short 04772h                          ; 75 03
     shr si, 004h                              ; c1 ee 04
     cmp byte [bp+004h], 003h                  ; 80 7e 04 03
-    jne short 0475ch                          ; 75 03
+    jne short 0477bh                          ; 75 03
     shr si, 008h                              ; c1 ee 08
     cmp byte [bp+004h], 004h                  ; 80 7e 04 04
-    jne short 04765h                          ; 75 03
+    jne short 04784h                          ; 75 03
     shr si, 00ch                              ; c1 ee 0c
     cmp si, strict byte 00010h                ; 83 fe 10
-    jnc short 0476eh                          ; 73 04
+    jnc short 0478dh                          ; 73 04
     mov byte [bp-008h], 001h                  ; c6 46 f8 01
     xor al, al                                ; 30 c0
@@ -6054,8 +6090,8 @@
     mov byte [bp-00ah], al                    ; 88 46 f6
     mov byte [bp-00ch], al                    ; 88 46 f4
-    mov bx, 00da6h                            ; bb a6 0d
+    mov bx, 00da2h                            ; bb a2 0d
     mov cx, ds                                ; 8c d9
     mov ax, strict word 00004h                ; b8 04 00
-    call 018cch                               ; e8 48 d1
+    call 018e1h                               ; e8 3e d1
     push si                                   ; 56
     movzx ax, byte [bp+004h]                  ; 0f b6 46 04
@@ -6063,39 +6099,39 @@
     push 00534h                               ; 68 34 05
     push strict byte 00004h                   ; 6a 04
-    call 0190dh                               ; e8 7b d1
+    call 01922h                               ; e8 71 d1
     add sp, strict byte 00008h                ; 83 c4 08
     and si, strict byte 0000fh                ; 83 e6 0f
     cmp si, strict byte 00002h                ; 83 fe 02
-    jc short 047abh                           ; 72 0e
-    jbe short 047bah                          ; 76 1b
+    jc short 047cah                           ; 72 0e
+    jbe short 047d9h                          ; 76 1b
     cmp si, strict byte 00004h                ; 83 fe 04
-    je short 047d8h                           ; 74 34
+    je short 047f7h                           ; 74 34
     cmp si, strict byte 00003h                ; 83 fe 03
-    je short 047ceh                           ; 74 25
-    jmp short 04805h                          ; eb 5a
+    je short 047edh                           ; 74 25
+    jmp short 04824h                          ; eb 5a
     cmp si, strict byte 00001h                ; 83 fe 01
-    jne short 04805h                          ; 75 55
+    jne short 04824h                          ; 75 55
     xor al, al                                ; 30 c0
     mov byte [bp-006h], al                    ; 88 46 fa
     mov byte [bp-00ah], al                    ; 88 46 f6
-    jmp short 0481dh                          ; eb 63
+    jmp short 0483ch                          ; eb 63
     mov dx, 00338h                            ; ba 38 03
     mov ax, word [bp-00eh]                    ; 8b 46 f2
-    call 01600h                               ; e8 3d ce
+    call 01600h                               ; e8 1e ce
     add AL, strict byte 080h                  ; 04 80
     mov byte [bp-006h], al                    ; 88 46 fa
     mov byte [bp-00ah], 000h                  ; c6 46 f6 00
-    jmp short 0481dh                          ; eb 4f
+    jmp short 0483ch                          ; eb 4f
     mov byte [bp-006h], 000h                  ; c6 46 fa 00
     mov byte [bp-00ah], 001h                  ; c6 46 f6 01
-    jmp short 047e2h                          ; eb 0a
+    jmp short 04801h                          ; eb 0a
     mov byte [bp-00ch], 001h                  ; c6 46 f4 01
     cmp byte [bp-00ah], 000h                  ; 80 7e f6 00
-    je short 0481dh                           ; 74 3b
-    call 0382bh                               ; e8 46 f0
+    je short 0483ch                           ; 74 3b
+    call 0384ah                               ; e8 46 f0
     mov bx, ax                                ; 89 c3
     test AL, strict byte 0ffh                 ; a8 ff
-    je short 0480ch                           ; 74 21
-    call 046b5h                               ; e8 c7 fe
+    je short 0482bh                           ; 74 21
+    call 046d4h                               ; e8 c7 fe
     movzx ax, byte [bp-008h]                  ; 0f b6 46 f8
     push ax                                   ; 50
@@ -6104,45 +6140,45 @@
     movzx ax, byte [bp-00ah]                  ; 0f b6 46 f6
     mov cx, strict word 00001h                ; b9 01 00
-    call 04622h                               ; e8 1d fe
+    call 04641h                               ; e8 1d fe
     xor ax, ax                                ; 31 c0
     xor dx, dx                                ; 31 d2
-    jmp near 0492bh                           ; e9 1f 01
+    jmp near 0494ah                           ; e9 1f 01
     mov dx, 0032eh                            ; ba 2e 03
     mov ax, word [bp-00eh]                    ; 8b 46 f2
-    call 0161ch                               ; e8 07 ce
+    call 0161ch                               ; e8 e8 cd
     mov di, ax                                ; 89 c7
     shr bx, 008h                              ; c1 eb 08
     mov byte [bp-006h], bl                    ; 88 5e fa
     cmp byte [bp-00ch], 001h                  ; 80 7e f4 01
-    jne near 04899h                           ; 0f 85 74 00
+    jne near 048b8h                           ; 0f 85 74 00
     xor si, si                                ; 31 f6
     mov ax, 0e200h                            ; b8 00 e2
     mov es, ax                                ; 8e c0
     cmp word [es:si], 0aa55h                  ; 26 81 3c 55 aa
-    jne short 047eeh                          ; 75 bb
+    jne short 0480dh                          ; 75 bb
     mov cx, ax                                ; 89 c1
     mov si, word [es:si+01ah]                 ; 26 8b 74 1a
     cmp word [es:si+002h], 0506eh             ; 26 81 7c 02 6e 50
-    jne short 047eeh                          ; 75 ad
+    jne short 0480dh                          ; 75 ad
     cmp word [es:si], 05024h                  ; 26 81 3c 24 50
-    jne short 047eeh                          ; 75 a6
+    jne short 0480dh                          ; 75 a6
     mov di, word [es:si+00eh]                 ; 26 8b 7c 0e
     mov dx, word [es:di]                      ; 26 8b 15
     mov ax, word [es:di+002h]                 ; 26 8b 45 02
     cmp ax, 06568h                            ; 3d 68 65
-    jne short 04877h                          ; 75 1f
+    jne short 04896h                          ; 75 1f
     cmp dx, 07445h                            ; 81 fa 45 74
-    jne short 04877h                          ; 75 19
+    jne short 04896h                          ; 75 19
     movzx bx, byte [bp-006h]                  ; 0f b6 5e fa
     movzx dx, byte [bp-00ch]                  ; 0f b6 56 f4
     movzx ax, byte [bp-00ah]                  ; 0f b6 46 f6
-    call 045d7h                               ; e8 6a fd
+    call 045f6h                               ; e8 6a fd
     mov word [bp-012h], strict word 00006h    ; c7 46 ee 06 00
     mov word [bp-010h], cx                    ; 89 4e f0
-    jmp short 04893h                          ; eb 1c
+    jmp short 048b2h                          ; eb 1c
     movzx bx, byte [bp-006h]                  ; 0f b6 5e fa
     movzx dx, byte [bp-00ch]                  ; 0f b6 56 f4
     movzx ax, byte [bp-00ah]                  ; 0f b6 46 f6
-    call 045d7h                               ; e8 51 fd
+    call 045f6h                               ; e8 51 fd
     sti                                       ; fb
     mov word [bp-010h], cx                    ; 89 4e f0
@@ -6151,9 +6187,9 @@
     mov word [bp-012h], ax                    ; 89 46 ee
     call far [bp-012h]                        ; ff 5e ee
-    jmp near 047eeh                           ; e9 55 ff
+    jmp near 0480dh                           ; e9 55 ff
     cmp byte [bp-00ah], 000h                  ; 80 7e f6 00
-    jne short 048c5h                          ; 75 26
+    jne short 048e4h                          ; 75 26
     cmp byte [bp-00ch], 000h                  ; 80 7e f4 00
-    jne short 048c5h                          ; 75 20
+    jne short 048e4h                          ; 75 20
     mov di, 007c0h                            ; bf c0 07
     mov es, di                                ; 8e c7
@@ -6168,27 +6204,27 @@
     sbb ax, strict byte 00000h                ; 83 d8 00
     test ax, ax                               ; 85 c0
-    jne near 047eeh                           ; 0f 85 29 ff
+    jne near 0480dh                           ; 0f 85 29 ff
     cmp byte [bp-006h], 000h                  ; 80 7e fa 00
     db  00fh, 094h, 0c1h
     ; sete cl                                   ; 0f 94 c1
     cmp byte [bp-00ah], 000h                  ; 80 7e f6 00
-    je short 048d4h                           ; 74 02
+    je short 048f3h                           ; 74 02
     mov CL, strict byte 001h                  ; b1 01
     xor dx, dx                                ; 31 d2
     mov ax, di                                ; 89 f8
-    call 0161ch                               ; e8 41 cd
+    call 0161ch                               ; e8 22 cd
     mov bx, ax                                ; 89 c3
     mov dx, strict word 00002h                ; ba 02 00
     mov ax, di                                ; 89 f8
-    call 0161ch                               ; e8 37 cd
+    call 0161ch                               ; e8 18 cd
     cmp bx, ax                                ; 39 c3
-    je short 048fah                           ; 74 11
+    je short 04919h                           ; 74 11
     test cl, cl                               ; 84 c9
-    jne short 04910h                          ; 75 23
+    jne short 0492fh                          ; 75 23
     mov dx, 001feh                            ; ba fe 01
     mov ax, di                                ; 89 f8
-    call 0161ch                               ; e8 27 cd
+    call 0161ch                               ; e8 08 cd
     cmp ax, 0aa55h                            ; 3d 55 aa
-    je short 04910h                           ; 74 16
+    je short 0492fh                           ; 74 16
     movzx ax, byte [bp-008h]                  ; 0f b6 46 f8
     push ax                                   ; 50
@@ -6197,9 +6233,9 @@
     movzx ax, byte [bp-00ah]                  ; 0f b6 46 f6
     xor cx, cx                                ; 31 c9
-    jmp near 04802h                           ; e9 f2 fe
+    jmp near 04821h                           ; e9 f2 fe
     movzx bx, byte [bp-006h]                  ; 0f b6 5e fa
     movzx dx, byte [bp-00ch]                  ; 0f b6 56 f4
     movzx ax, byte [bp-00ah]                  ; 0f b6 46 f6
-    call 045d7h                               ; e8 b8 fc
+    call 045f6h                               ; e8 b8 fc
     movzx bx, byte [bp-006h]                  ; 0f b6 5e fa
     xor dx, dx                                ; 31 d2
@@ -6212,5 +6248,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-keyboard_panic_:                             ; 0xf4932 LB 0x13
+keyboard_panic_:                             ; 0xf4951 LB 0x13
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -6218,10 +6254,10 @@
     push 00554h                               ; 68 54 05
     push strict byte 00007h                   ; 6a 07
-    call 0190dh                               ; e8 cf cf
+    call 01922h                               ; e8 c5 cf
     add sp, strict byte 00006h                ; 83 c4 06
     mov sp, bp                                ; 89 ec
     pop bp                                    ; 5d
     retn                                      ; c3
-_keyboard_init:                              ; 0xf4945 LB 0x27c
+_keyboard_init:                              ; 0xf4964 LB 0x27c
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -6235,16 +6271,16 @@
     ; sub ah, ah                                ; 2a e4
     test AL, strict byte 002h                 ; a8 02
-    je short 04968h                           ; 74 0d
+    je short 04987h                           ; 74 0d
     dec bx                                    ; 4b
     test bx, bx                               ; 85 db
-    jbe short 04968h                          ; 76 08
+    jbe short 04987h                          ; 76 08
     xor al, al                                ; 30 c0
     mov dx, 00080h                            ; ba 80 00
     out DX, AL                                ; ee
-    jmp short 04951h                          ; eb e9
+    jmp short 04970h                          ; eb e9
     test bx, bx                               ; 85 db
-    jne short 04971h                          ; 75 05
+    jne short 04990h                          ; 75 05
     xor ax, ax                                ; 31 c0
-    call 04932h                               ; e8 c1 ff
+    call 04951h                               ; e8 c1 ff
     mov bx, strict word 0ffffh                ; bb ff ff
     mov dx, strict word 00064h                ; ba 64 00
@@ -6253,16 +6289,16 @@
     ; sub ah, ah                                ; 2a e4
     test AL, strict byte 001h                 ; a8 01
-    jne short 0498bh                          ; 75 0d
+    jne short 049aah                          ; 75 0d
     dec bx                                    ; 4b
     test bx, bx                               ; 85 db
-    jbe short 0498bh                          ; 76 08
+    jbe short 049aah                          ; 76 08
     mov AL, strict byte 001h                  ; b0 01
     mov dx, 00080h                            ; ba 80 00
     out DX, AL                                ; ee
-    jmp short 04974h                          ; eb e9
+    jmp short 04993h                          ; eb e9
     test bx, bx                               ; 85 db
-    jne short 04995h                          ; 75 06
+    jne short 049b4h                          ; 75 06
     mov ax, strict word 00001h                ; b8 01 00
-    call 04932h                               ; e8 9d ff
+    call 04951h                               ; e8 9d ff
     mov dx, strict word 00060h                ; ba 60 00
     in AL, DX                                 ; ec
@@ -6270,7 +6306,7 @@
     ; sub ah, ah                                ; 2a e4
     cmp ax, strict word 00055h                ; 3d 55 00
-    je short 049a6h                           ; 74 06
+    je short 049c5h                           ; 74 06
     mov ax, 003dfh                            ; b8 df 03
-    call 04932h                               ; e8 8c ff
+    call 04951h                               ; e8 8c ff
     mov AL, strict byte 0abh                  ; b0 ab
     mov dx, strict word 00064h                ; ba 64 00
@@ -6282,16 +6318,16 @@
     ; sub ah, ah                                ; 2a e4
     test AL, strict byte 002h                 ; a8 02
-    je short 049c6h                           ; 74 0d
+    je short 049e5h                           ; 74 0d
     dec bx                                    ; 4b
     test bx, bx                               ; 85 db
-    jbe short 049c6h                          ; 76 08
+    jbe short 049e5h                          ; 76 08
     mov AL, strict byte 010h                  ; b0 10
     mov dx, 00080h                            ; ba 80 00
     out DX, AL                                ; ee
-    jmp short 049afh                          ; eb e9
+    jmp short 049ceh                          ; eb e9
     test bx, bx                               ; 85 db
-    jne short 049d0h                          ; 75 06
+    jne short 049efh                          ; 75 06
     mov ax, strict word 0000ah                ; b8 0a 00
-    call 04932h                               ; e8 62 ff
+    call 04951h                               ; e8 62 ff
     mov bx, strict word 0ffffh                ; bb ff ff
     mov dx, strict word 00064h                ; ba 64 00
